

sound/pci/hda/hda_intel.c:362: undefined or invalid # directive
sound/pci/hda/hda_intel.c:364: undefined or invalid # directive

Avoid an ifdef within macro expansion.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pci/hda/hda_intel.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN sound/pci/hda/hda_intel.c~hda_intel-fix sound/pci/hda/hda_intel.c
--- 25/sound/pci/hda/hda_intel.c~hda_intel-fix	2005-01-20 18:43:53.741769440 -0800
+++ 25-akpm/sound/pci/hda/hda_intel.c	2005-01-20 18:44:28.009559944 -0800
@@ -358,11 +358,11 @@ static void azx_init_cmd_io(azx_t *chip)
 	/* set N=1, get RIRB response interrupt for new entry */
 	azx_writew(chip, RINTCNT, 1);
 	/* enable rirb dma and response irq */
-	azx_writeb(chip, RIRBCTL, ICH6_RBCTL_DMA_EN
 #ifdef USE_CORB_RIRB
-		   | ICH6_RBCTL_IRQ_EN
+	azx_writeb(chip, RIRBCTL, ICH6_RBCTL_DMA_EN|ICH6_RBCTL_IRQ_EN);
+#else
+	azx_writeb(chip, RIRBCTL, ICH6_RBCTL_DMA_EN);
 #endif
-		   );
 	chip->rirb.rp = chip->rirb.cmds = 0;
 }
 
_
